EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'BowerPackages_GetPackage',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'BowerPackages',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the specified package in a Bower feed.'
GO

IF OBJECT_ID('[BowerPackages_GetPackage]') IS NOT NULL
	DROP PROCEDURE [BowerPackages_GetPackage]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [BowerPackages_GetPackage]
(
	@Feed_Id INT,
	@Package_Name NVARCHAR(200)
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [BowerPackages]
	 WHERE [Feed_Id] = @Feed_Id
	   AND [Package_Name] = @Package_Name

END
GO

GRANT EXECUTE ON [BowerPackages_GetPackage] TO [ProGetUser_Role]
GO