EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'MavenArtifacts_GetArtifactVersions',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'MavenArtifacts_Versions',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all of the versions of a Maven artifact.'
GO

IF OBJECT_ID('[MavenArtifacts_GetArtifactVersions]') IS NOT NULL DROP PROCEDURE [MavenArtifacts_GetArtifactVersions]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [MavenArtifacts_GetArtifactVersions]
(
	@Feed_Id INT,
	@GroupId_Text NVARCHAR(200),
	@ArtifactId_Text NVARCHAR(100)
)
AS
BEGIN

SET NOCOUNT ON
SET QUOTED_IDENTIFIER ON

	SELECT DISTINCT(MAF.[Version_Text])
	  FROM [MavenArtifactFiles] MAF
	       INNER JOIN [MavenArtifacts] MA
		           ON MA.[MavenArtifact_Id] = MAF.[MavenArtifact_Id]
	 WHERE [Feed_Id] = @Feed_Id
	   AND [GroupId_Text] = @GroupId_Text
	   AND [ArtifactId_Text] = @ArtifactId_Text

END
GO

GRANT EXECUTE ON [MavenArtifacts_GetArtifactVersions] TO [ProGetUser_Role]