EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'NpmFeeds_GetConnectorPackage',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'NpmConnectorPackages',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a package from a feed''s connector with the specified name and version.'
GO

IF OBJECT_ID('[NpmFeeds_GetConnectorPackage]') IS NOT NULL
	DROP PROCEDURE [NpmFeeds_GetConnectorPackage]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [NpmFeeds_GetConnectorPackage]
(
	@Feed_Id INT,
	@Package_Name NVARCHAR(200),
	@Package_Version NVARCHAR(200)
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [NpmConnectorPackages] NCP
	       INNER JOIN [NpmFeedConnectors] NFC
		           ON NFC.[NpmConnector_Id] = NCP.[NpmConnector_Id]
	 WHERE [Feed_Id] = NFC.[Feed_Id]
	   AND [Package_Name] = @Package_Name
	   AND [Package_Version] = @Package_Version

END
GO

GRANT EXECUTE ON [NpmFeeds_GetConnectorPackage] TO [ProGetUser_Role]
GO